<?xml version="1.0" encoding="{@CHARSET}"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" dir="{lang}wcf.global.pageDirection{/lang}" xml:lang="{@LANGUAGE_CODE}">
	<head>
		<title>{if $pageTitle|isset}{@$pageTitle}{else}{lang}wcf.global.pageTitle{/lang}{/if} - {lang}wcf.acp{/lang}</title>
		<meta http-equiv="Content-Type" content="text/html; charset={@CHARSET}" />
		<script type="text/javascript">
			//<![CDATA[
			var SID_ARG_2ND	= '{@SID_ARG_2ND_NOT_ENCODED}';
			var RELATIVE_WCF_DIR = '{@RELATIVE_WCF_DIR}';
			var PACKAGE_ID = {@PACKAGE_ID};
			//]]>
		</script>
		<script type="text/javascript" src="{@RELATIVE_WCF_DIR}js/default.js"></script>
		<script type="text/javascript" src="{@RELATIVE_WCF_DIR}js/StringUtil.class.js"></script>
		<script type="text/javascript" src="{@RELATIVE_WCF_DIR}js/AjaxRequest.class.js"></script>
		<script type="text/javascript" src="{@RELATIVE_WCF_DIR}js/PopupMenuList.class.js"></script>
		<script type="text/javascript" src="{@RELATIVE_WCF_DIR}acp/js/default.js"></script>
		<script type="text/javascript" src="{@RELATIVE_WCF_DIR}acp/js/ACPMenu.class.js"></script>
		
		{if $specialStyles|isset}
			<!-- special styles -->
			{@$specialStyles}
		{/if}
		
		<style type="text/css">
			@import url("{@RELATIVE_WCF_DIR}acp/style/tabbedMenus.css");
			@import url("{@RELATIVE_WCF_DIR}acp/style/pageNavigation.css");
			@import url("{@RELATIVE_WCF_DIR}acp/style/buttons.css");
			@import url("{@RELATIVE_WCF_DIR}acp/style/forms.css");
			@import url("{@RELATIVE_WCF_DIR}acp/style/pageMenu.css");
			@import url("{@RELATIVE_WCF_DIR}acp/style/global.css");
			@import url("{@RELATIVE_WCF_DIR}acp/style/containers.css");
			@import url("{@RELATIVE_WCF_DIR}acp/style/inlineCalendar.css");
			@import url("{@RELATIVE_WCF_DIR}acp/style/tables.css");
			@import url("{@RELATIVE_WCF_DIR}acp/style/header.css");
			@import url("{@RELATIVE_WCF_DIR}acp/style/messages.css");
			@import url("{@RELATIVE_WCF_DIR}acp/style/style.css");
			@import url("{@RELATIVE_WCF_DIR}acp/style/acp.css");
		</style>
		
		<!--[if lt IE 7]>
			<style type="text/css">
				@import url("{@RELATIVE_WCF_DIR}acp/style/ie6Fix.css");
				/*img {
					behavior: url("{@RELATIVE_WCF_DIR}js/pngbehavior.htc");
				}*/
			</style>
		<![endif]-->
		
		<!--[if IE 7]>
			<style type="text/css">
				@import url("{@RELATIVE_WCF_DIR}acp/style/ie7Fix.css");
			</style>
		<![endif]-->
		
		<script type="text/javascript">
			//<![CDATA[
			var menuItemData = new Array();
			{counter start=-1 print=false}
			{foreach from=$menu->getMenuItems() item=items}
				{foreach from=$items item=item}
					{capture assign='menuItemName'}{lang}{@$item.menuItem}{/lang}{/capture}
					menuItemData[{counter}] = ['{@$item.parentMenuItem|encodeJS}', '{@$item.menuItem|encodeJS}', '{@$menuItemName|encodeJS}', '{@$item.menuItemLink|encodeJS}', '{@$item.menuItemIcon|encodeJS}'];
				{/foreach}
			{/foreach}
			
			var activeMenuItems = new Array();
			{counter start=-1 print=false}
			{foreach from=$menu->getActiveMenuItems() item=menuItem}
				activeMenuItems[{counter}] = '{@$menuItem|encodeJS}';
			{/foreach}
			
			// acp menu
			acpMenu.init(menuItemData, activeMenuItems);
			//]]>
		</script>
		
		
		<script type="text/javascript" src="{@RELATIVE_WCF_DIR}acp/js/InlineHelp.class.js"></script>
	</head>
<body>
<div id="page">
	<a id="top"></a>
	<div id="userPanel" class="userPanel">
		<p id="date">
			<img src="{@RELATIVE_WCF_DIR}icon/dateS.png" alt="" /> <span>{@TIME_NOW|fulldate} UTC{if $timezone > 0}+{@$timezone}{else if $timezone < 0}{@$timezone}{/if}</span>
		</p>
		<p id="userNote"> 
			{if $this->user->userID != 0}{lang}wcf.acp.user.userNote{/lang}{/if}
		</p>
		<div id="userMenu">
			<ul>
				<li><a href="index.php?action=Logout&amp;u={@$this->user->userID}&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}"><img src="{@RELATIVE_WCF_DIR}icon/logoutS.png" alt="" /> <span>{lang}wcf.user.logout{/lang}</span></a></li>
				<li><a id="sitemapButton" href="javascript:void(0);"><img src="{@RELATIVE_WCF_DIR}icon/sitemapS.png" alt="" /> <span>{lang}wcf.acp.sitemap{/lang}</span></a></li>
				<li><a id="menuPopupHelp" href="javascript:void(0);"><img src="{@RELATIVE_WCF_DIR}icon/helpS.png" alt="" /> <span>{lang}wcf.acp.help{/lang}</span></a>
					<div class="hidden" id="menuPopupHelpMenu">
						<ul>
							<li id="helpLinkDisable"><a onclick="inlineHelp.disableHelp();" href="javascript:void(0);"><span>{lang}wcf.acp.help.disable{/lang}</span></a></li>
							<li id="helpLinkComplete"><a onclick="inlineHelp.enableHelp();" href="javascript:void(0);"><span>{lang}wcf.acp.help.complete{/lang}</span></a></li>
							<li id="helpLinkInteractive"><a onclick="inlineHelp.enableInteractiveHelp();" href="javascript:void(0);"><span>{lang}wcf.acp.help.interactive{/lang}</span></a></li>
						</ul>
					</div>

					<script type="text/javascript">
						//<![CDATA[
						popupMenuList.register('menuPopupHelp');
						onloadEvents.push(function() { inlineHelp.setStatus('{$this->user->inlineHelpStatus}'); });
						//]]>
					</script>
				</li>
				{if $quickAccessPackages|count > 1}
					<li><a id="packageQuickAccess"><img src="{@RELATIVE_WCF_DIR}icon/packageS.png" alt="" /> <span>{lang}wcf.acp.packageQuickAccess{/lang}</span></a>
						<div class="hidden" id="packageQuickAccessMenu">
							<ul>
								{foreach from=$quickAccessPackages item=quickAccessPackage}
									<li{if PACKAGE_ID == $quickAccessPackage.packageID} class="active"{/if}><a href="{@RELATIVE_WCF_DIR}{$quickAccessPackage.packageDir}acp/index.php{@SID_ARG_1ST}"><span>{$quickAccessPackage.packageName}{if $quickAccessPackage.instanceNo > 1} #{#$quickAccessPackage.instanceNo}{/if}</span></a></li>
								{/foreach}
							</ul>
						</div>

						<script type="text/javascript">
							//<![CDATA[
							popupMenuList.register('packageQuickAccess');
							//]]>
						</script>
					</li>
				{/if}
				{if $additionalHeaderButtons|isset}{@$additionalHeaderButtons}{/if}
				
			</ul>
		</div>
	</div>
	
	<div id="header" class="border">
		<div id="logo">
			<h1 class="pageTitle"><a href="index.php?packageID={@PACKAGE_ID}{@SID_ARG_2ND}">{lang}wcf.acp{/lang}</a></h1>			
			<a href="index.php?packageID={@PACKAGE_ID}{@SID_ARG_2ND}" class="pageLogo">
				<img src="images/acpLogo.png" title="" alt="" />
			</a>
		</div>

		<div class="mainMenu" id="menuBar"><div><ul></ul></div></div>
	</div>
	
	<div id="sidebar">
		<ul>
			{foreach from=$menu->getMenuItems('') item=item}
				<li id="tab{$item.menuItem}"><a onclick="acpMenu.showMenuBar('{$item.menuItem}')">{if $item.menuItemIcon != ''}<img src="{$item.menuItemIcon}" alt="" /> {/if}<span>{lang}{$item.menuItem}{/lang}</span></a></li>
			{/foreach}
		</ul>
	</div>

	<div id="content">