{include file='header'}

<script type="text/javascript" src="{@RELATIVE_WCF_DIR}js/Suggestion.class.js"></script>
<script type="text/javascript" src="{@RELATIVE_WCF_DIR}js/TabMenu.class.js"></script>
<script type="text/javascript">
	//<![CDATA[
	var tabMenu = new TabMenu();
	onloadEvents.push(function() { tabMenu.showSubTabMenu('profile') });
	//]]>
</script>

<div class="mainHeadline">
	<img src="{@RELATIVE_WCF_DIR}icon/userSearchL.png" alt="" />
	<div class="headlineContainer">
		<h2>{lang}wcf.acp.user.search{/lang}</h2>
	</div>
</div>

{if $errorField == 'search'}
<p class="error">{lang}wcf.acp.user.search.error.noMatches{/lang}</p>
{/if}

{if $deletedUsers}
	<p class="success">{lang}wcf.acp.user.delete.success{/lang}</p>	
{elseif $deletedUsers === 0}
	<p class="error">{lang}wcf.acp.user.delete.error{/lang}</p>	
{/if}

<div class="contentHeader">
	<div class="largeButtons">
		<ul>
			{if $this->user->getPermission('admin.user.canAddUser')}
				<li><a href="index.php?form=UserAdd&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}"><img src="{@RELATIVE_WCF_DIR}icon/userAddM.png" alt="" title="{lang}wcf.acp.user.add{/lang}" /> <span>{lang}wcf.acp.user.add{/lang}</span></a></li>
			{/if}
			<li><a href="index.php?page=UserList&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}"><img src="{@RELATIVE_WCF_DIR}icon/usersM.png" alt="" title="{lang}wcf.acp.menu.link.user.list{/lang}" /> <span>{lang}wcf.acp.menu.link.user.list{/lang}</span></a></li>
		</ul>
	</div>
</div>
<form method="post" action="index.php?form=UserSearch">
	<div class="border content">
		<div class="container-1">
			<fieldset>
				<legend>{lang}wcf.acp.user.search.conditions.general{/lang}</legend>
				<div class="formElement">
					<div class="formFieldLabel">
						<label for="username">{lang}wcf.user.username{/lang}</label>
					</div>
					<div class="formField">
						<input type="text" class="inputText" id="username" name="staticParameters[username]" value="{if $staticParameters.username|isset}{$staticParameters.username}{/if}" />
						<script type="text/javascript">
							//<![CDATA[
							suggestion.enableMultiple(false);
							suggestion.init('username');
							//]]>
						</script>
						<label><input type="checkbox" name="matchExactly[username]" value="1" {if $matchExactly.username|isset}checked="checked" {/if}/> {lang}wcf.global.search.matchesExactly{/lang}</label>
					</div>
				</div>
				
				<div class="formElement">
					<div class="formFieldLabel">
						<label for="userID">{lang}wcf.user.userID{/lang}</label>
					</div>
					<div class="formField">	
						<input type="text" class="inputText" id="userID" name="staticParameters[userID]" value="{if $staticParameters.userID|isset}{$staticParameters.userID}{/if}" />
					</div>
				</div>
				
				{if $this->user->getPermission('admin.user.canEditMailAddress')}
					<div class="formElement">
						<div class="formFieldLabel">
							<label for="email">{lang}wcf.user.email{/lang}</label>
						</div>
						<div class="formField">	
							<input type="text" class="inputText" id="email" name="staticParameters[email]" value="{if $staticParameters.email|isset}{$staticParameters.email}{/if}" />
							<label><input type="checkbox" name="matchExactly[email]" value="1" {if $matchExactly.email|isset}checked="checked" {/if}/> {lang}wcf.global.search.matchesExactly{/lang}</label>
						</div>
					</div>
				{/if}
				
				{if $availableGroups|count}
					<div class="formGroup">
						<div class="formGroupLabel">
							<label>{lang}wcf.acp.user.groups{/lang}</label>
						</div>
						<div class="formGroupField">
							<fieldset>
								<legend>{lang}wcf.acp.user.groups{/lang}</legend>
								
								<div class="formField">
									{htmlCheckboxes options=$availableGroups name='staticParameters[groupIDs]' selected=$staticParameters.groupIDs}
								</div>
							</fieldset>
						</div>
					</div>
				{/if}
				
				{if $availableLanguages|count > 1}
					<div class="formGroup">
						<div class="formGroupLabel">
							<label>{lang}wcf.user.language{/lang}</label>
						</div>
						<div class="formGroupField">
							<fieldset>
								<legend>{lang}wcf.acp.user.language{/lang}</legend>
								
								<div class="formField">
									{htmlCheckboxes options=$availableLanguages name='staticParameters[languageIDs]' disableEncoding=true}
								</div>
							</fieldset>
						</div>
					</div>
				{/if}
			</fieldset>
			
			{if $additionalFields|isset}{@$additionalFields}{/if}
			
			{if $options|count || $additionalTabs|isset}
				<div class="tabMenu">
					<ul>
						<li id="profile"><a onclick="tabMenu.showSubTabMenu('profile');"><span>{lang}wcf.acp.user.search.conditions.profile{/lang}</span></a></li>
						{if $additionalTabs|isset}{@$additionalTabs}{/if}
					</ul>
				</div>
				<div class="subTabMenu">
					<div class="containerHead"><div> </div></div>
				</div>
				
				<div class="border tabMenuContent hidden" id="profile-content">
					<div class="container-1">
						<h3 class="subHeadline">{lang}wcf.acp.user.search.conditions.profile{/lang}</h3>
						{include file='optionFieldList' langPrefix='wcf.user.option.'}
					</div>
				</div>
				
				{if $additionalTabContents|isset}{@$additionalTabContents}{/if}
			{/if}
		</div>
	</div>
	
	<div class="formSubmit">
		<input type="submit" accesskey="s" value="{lang}wcf.global.button.submit{/lang}" />
		<input type="reset" accesskey="r" value="{lang}wcf.global.button.reset{/lang}" />
		<input type="hidden" name="packageID" value="{@PACKAGE_ID}" />
 		{@SID_INPUT_TAG}
 	</div>
</form>

<script type="text/javascript">
	//<![CDATA[
	document.getElementById('username').focus();
	//]]>
</script>

{include file='footer'}