<?php
require_once(WCF_DIR.'lib/action/AbstractAction.class.php');
require_once(WCF_DIR.'lib/system/event/EventHandler.class.php');

/**
 * Does the user logout in the admin control panel.
 *
 * @package	com.woltlab.wcf.acp.action
 * @author	Marcel Werk
 * @copyright	2001-2007 WoltLab GmbH
 * @license	GNU Lesser General Public License <http://opensource.org/licenses/lgpl-license.php>
 */
class LogoutAction extends AbstractAction {
	public $validationUserID = 0;
	
	/**
	 * @see Action::readParameters()
	 */
	public function readParameters() {
		parent::readParameters();
		
		if (isset($_GET['u'])) {
			$this->validationUserID = intval($_GET['u']);
		}
	}
	
	/**
	 * @see Action::execute()
	 */
	public function execute() {
		parent::execute();
		
		// validate
		$this->validate();
		
		// do logout
		$this->doLogout();
		$this->executed();
		
		// forward to index page
		// warning: if doLogout() writes a cookie this is buggy in MS IIS
		HeaderUtil::redirect('index.php?packageID='.PACKAGE_ID.SID_ARG_2ND_NOT_ENCODED);
		exit;
	}
	
	/**
	 * Validates the active user.
	 * Throws an IllegalLinkException if the active user can not logout.
	 */
	protected function validate() {
		if (!$this->validationUserID || !WCF::getUser()->userID || WCF::getUser()->userID != $this->validationUserID) {
			require_once(WCF_DIR.'lib/system/exception/IllegalLinkException.class.php');
			throw new IllegalLinkException();
		}
	}
	
	/**
	 * Changes the user of the active session to guest.
	 */
	protected function doLogout() {
		require_once(WCF_DIR.'lib/system/session/UserSession.class.php');
		WCF::getSession()->changeUser(new UserSession());
	}
}
?>