<?php
require_once(WCF_DIR.'lib/form/AbstractForm.class.php');

/**
 * Provides a default implementation for the show method in acp forms.
 * 
 * @author	Marcel Werk
 * @copyright	2001-2007 WoltLab GmbH
 * @license	GNU Lesser General Public License <http://opensource.org/licenses/lgpl-license.php>
 * @package	com.woltlab.wcf.acp.form
 */
class ACPForm extends AbstractForm {
	/**
	 * Active acp menu item.
	 * 
	 * @var string
	 */
	public $activeMenuItem = '';
	
	/**
	 * Needed permissions to view this form.
	 * 
	 * @var string
	 */
	public $neededPermissions = '';
	
	/**
	 * @see Page::show()
	 */
	public function show() {
		// enable menu item
		if (!empty($this->activeMenuItem)) WCFACP::getMenu()->setActiveMenuItem($this->activeMenuItem);
		
		// check permission
		if (!empty($this->neededPermissions)) WCF::getUser()->checkPermission($this->neededPermissions);
		
		parent::show();
	}
}
?>