<?php
require_once(WCF_DIR.'lib/acp/option/OptionTypeSelect.class.php');

/**
 * OptionTypeSelect is an implementation of OptionType for 'select' tags with a text field for custom inputs.
 *
 * @package	com.woltlab.wcf.acp.option
 * @author	Marcel Werk
 * @copyright	2001-2007 WoltLab GmbH
 * @license	GNU Lesser General Public License <http://opensource.org/licenses/lgpl-license.php>
 */
class OptionTypeCustomselect extends OptionTypeSelect {
	/**
	 * @see OptionType::getFormElement()
	 */
	public function getFormElement(&$optionData) {
		if (!isset($optionData['optionValue'])) {
			if (isset($optionData['defaultValue'])) $optionData['optionValue'] = $optionData['defaultValue'];
			else $optionData['optionValue'] = false;
		}
		 
		// get options
		$options = OptionUtil::parseSelectOptions($optionData['selectOptions']);
		
		WCF::getTPL()->assign(array(
			'optionData' => $optionData,
			'options' => $options,
			'customValue' => (!isset($options[$optionData['optionValue']]) ? $optionData['optionValue'] : '')
		));
		return WCF::getTPL()->fetch('optionTypeCustomselect');
	}
	
	/**
	 * @see OptionType::validate()
	 */
	public function validate($optionData, $newValue) {
		return true;
	}
	
	/**
	 * @see OptionType::getData()
	 */
	public function getData($optionData, $newValue) {
		if (empty($newValue) && isset($_POST['values'][$optionData['optionName'].'_custom'])) {
			return $_POST['values'][$optionData['optionName'].'_custom'];
		}
		return $newValue;
	}
}
?>