<?php
require_once(WCF_DIR.'lib/acp/package/PackageInstallation.class.php');

/**
 * PackageInstallationInfo is used to calculate the progress bar of a package installation.
 *
 * @package	com.woltlab.wcf.acp.package
 * @author	Marcel Werk
 * @copyright	2001-2007 WoltLab GmbH
 * @license	GNU Lesser General Public License <http://opensource.org/licenses/lgpl-license.php>
 */
class PackageInstallationInfo extends PackageInstallation {
	/**
	 * Creates a new PackageInstallationInfo object.
	 * 
	 * @param 	integer		$queueID
	 */
	public function __construct($queueID) {
		$this->queueID = $queueID;
		$this->getInstallationInfo();
	}
	
	/**
	 * @see PackageInstallationQueue::getInstallationInfo()
	 */
	protected function getInstallationInfo() {
		$info = PackageInstallationQueue::getInstallationInfo();
		$this->package = $info['packageID'] ? new Package(null, $info) : null;
		$this->packageArchive = new PackageArchive($info['archive'], $this->package);
		$this->packageArchive->openArchive();
	}
}
?>