<?php
/**
 * All action classes should implement this interface.
 * An action executes an user input without showing a result page or a form. 
 * 
 * @author	Marcel Werk
 * @copyright	2001-2007 WoltLab GmbH
 * @license	GNU Lesser General Public License <http://opensource.org/licenses/lgpl-license.php>
 * @package	com.woltlab.wcf.action
 */
interface Action {
	/**
	 * Reads the given parameters.
	 */
	public function readParameters();
	
	/**
	 * Executes this action.
	 */
	public function execute();
}
?>