<?php
/**
 * Abstract class for all data holder classes.
 *
 * @package	com.woltlab.wcf.data
 * @author	Marcel Werk
 * @copyright	2001-2007 WoltLab GmbH
 * @license	GNU Lesser General Public License <http://opensource.org/licenses/lgpl-license.php>
 */
class DatabaseObject {
	protected $data;
	
	/**
	 * Creates a new instance of the DatabaseObject class.
	 * Stores object data.
	 * 
	 * @param	array		$data
	 */
	public function __construct($data) {
		$this->handleData($data);
	}

	/**
	 * Stores the data of a database row.
	 * 
	 * @param	array		$data
	 */
	protected function handleData($data) {
		$this->data = $data;
	}

	/**
	 * Returns the value of a variable in object data.
	 * 
	 * @param	string		$name
	 * @return	mixed		value
	 */
	public function __get($name) {
		if (isset($this->data[$name])) {
			return $this->data[$name];
		}
		else {
			return null;
		}
	}
}
?>