<?php
require_once(WCF_DIR.'lib/data/user/User.class.php');

/**
 * Any user option output class should implement this interface.
 *
 * @package	com.woltlab.wcf.data.user.option
 * @author	Marcel Werk
 * @copyright	2001-2007 WoltLab GmbH
 * @license	GNU Lesser General Public License <http://opensource.org/licenses/lgpl-license.php>
 */
interface UserOptionOutput {
	/**
	 * Returns a short version of the html code for the output of the given user option.
	 * 
	 * @param	User		$user
	 * @param	array		$optionData
	 * @param	string		$value
	 * @return	string
	 */
	public function getShortOutput(User $user, $optionData, $value);
	
	/**
	 * Returns a medium version of the html code for the output of the given user option.
	 * 
	 * @param	User		$user
	 * @param	array		$optionData
	 * @param	string		$value
	 * @return	string
	 */
	public function getMediumOutput(User $user, $optionData, $value);
	
	/**
	 * Returns the html code for the output of the given user option.
	 * 
	 * @param	User		$user
	 * @param	array		$optionData
	 * @param	string		$value
	 * @return	string
	 */
	public function getOutput(User $user, $optionData, $value);
}
?>