<?php
// imports
require_once(WCF_DIR.'lib/system/cache/CacheBuilder.class.php');

/**
 * Caches all registered packages.
 * 
 * @package	com.woltlab.wcf.system.cache
 * @author	Marcel Werk
 * @copyright	2001-2007 WoltLab GmbH
 * @license	GNU Lesser General Public License <http://opensource.org/licenses/lgpl-license.php>
 */
class CacheBuilderPackages implements CacheBuilder {
	/**
	 * @see CacheBuilder::getData()
	 */
	public function getData($cacheResource) {
		$data = array();

		// get all packages
		$sql = "SELECT		package.*, IF(package.package='com.woltlab.wcf',1,0) AS wcfPackage
			FROM		wcf".WCF_N."_package package
			ORDER BY	standalone DESC, wcfPackage, package";
		$result = WCF::getDB()->sendQuery($sql);
		while ($row = WCF::getDB()->fetchArray($result)) {
			$data[$row['packageID']] = $row;
		}
		
		return $data;
	}
}
?>