<?php
// imports
require_once(WCF_DIR.'lib/system/exception/SystemException.class.php');

/**
 * A TemplatePatchException is thrown if patching of a template fails.
 * 
 * @package	com.woltlab.wcf.system.exception
 * @author	Marcel Werk
 * @copyright	2001-2007 WoltLab GmbH
 * @license	GNU Lesser General Public License <http://opensource.org/licenses/lgpl-license.php>
 */
class TemplatePatchException extends SystemException {
	protected $templateName = '';

	/**
	 * Creates a new TemplatePatchException.
	 * 
	 * @param	string		$message	error message
	 * @param	integer		$code		error code
	 * @param 	string		$templateName	affected template
	 * @param	string		$description	description of the error	
	 */
	public function __construct($message = '', $code = 0, $templateName = '', $description = '') {
		parent::__construct($message, $code, $description);
		$this->templateName = $templateName;
	}
	
	/**
	 * Returns the name of the affected template.
	 *
	 * @return	string
	 */
	public function getTemplateName() {
		return $this->templateName;
	}
}
?>