<?php
if (!defined('NO_IMPORTS')) {
	require_once(WCF_DIR.'lib/system/exception/UserException.class.php');
}

/**
 * UserInputException handles all formular input errors.
 * 
 * @package	com.woltlab.wcf.system.exception
 * @author	Marcel Werk
 * @copyright	2001-2007 WoltLab GmbH
 * @license	GNU Lesser General Public License <http://opensource.org/licenses/lgpl-license.php>
 */
class UserInputException extends UserException {
	/**
	 * Name of error field.
	 *
	 * @var string
	 */
	protected $field;
	
	/**
	 * Error type.
	 *
	 * @var string
	 */
	protected $type;
	
	/**
	 * Creates a new UserInputException.
	 * 
	 * @param	string		$field		affected formular field
	 * @param	string		$type		kind of this error
	 */
	public function __construct($field = '', $type = 'empty') {
		$this->field = $field;
		$this->type = $type;
		
		parent::__construct();
	}
	
	/**
	 * Returns the affected formular field of this error.
	 * 
	 * @return	string
	 */
	public function getField() {
		return $this->field;
	}
	
	/**
	 * Returns the kind of this error.
	 * 
	 * @return	string
	 */
	public function getType() {
		return $this->type;
	}
}
?>