<?php
// imports
if (!defined('NO_IMPORTS')) {
	require_once(WCF_DIR.'lib/system/template/TemplateCompiler.class.php');
}

/**
 * Compiler functions are called during the compilation of a template.
 *
 * @package	com.woltlab.wcf.system.template
 * @author 	Marcel Werk
 * @copyright	2001-2007 WoltLab GmbH
 * @license	GNU Lesser General Public License <http://opensource.org/licenses/lgpl-license.php>
 */
interface TemplatePluginCompiler {
	/**
	 * Executes the start tag of this compiler function.
	 * 
	 * @param	array				$tagArgs		
	 * @param	TemplateCompiler		$compiler
	 * @return	string						php code	
	 */
	public function executeStart($tagArgs, TemplateCompiler $compiler);
	
	/**
	 * Executes the end tag of this compiler function.
	 * 
	 * @param	TemplateCompiler		$compiler	
	 * @return	string						php code	
	 */
	public function executeEnd(TemplateCompiler $tplObj);
}
?>