<?php
// imports
if (!defined('NO_IMPORTS')) {
	require_once(WCF_DIR.'lib/system/template/TemplatePluginCompiler.class.php');
	require_once(WCF_DIR.'lib/system/template/TemplateCompiler.class.php');
	require_once(WCF_DIR.'lib/system/exception/SystemException.class.php');
}

/**
 * The 'fetch' compiler function fetches files from the local file system, http, or ftp and displays the content.
 * 
 * Usage:
 * {fetch file='x.html'}
 * {fetch file='x.html' assign=var}
 * 
 * @package	com.woltlab.wcf.system.template.plugin
 * @author 	Marcel Werk
 * @copyright	2001-2007 WoltLab GmbH
 * @license	GNU Lesser General Public License <http://opensource.org/licenses/lgpl-license.php>
 */
class TemplatePluginCompilerFetch implements TemplatePluginCompiler {
	/**
	 * @see TemplatePluginCompiler::executeStart()
	 */
	public function executeStart($tagArgs, TemplateCompiler $compiler) {
		if (!isset($tagArgs['file'])) {
			throw new SystemException($compiler->formatSyntaxError("missign 'file' argument in fetch tag", $compiler->getCurrentTemplate(), $compiler->getCurrentLineNo()), 12001);
		}
		
		if (isset($tagArgs['assign'])) {
			return "<?php \$this->assign(".$tagArgs['assign'].", @file_get_contents(".$tagArgs['file'].")); ?>";
		}
		else {
			return "<?php echo @file_get_contents(".$tagArgs['file']."); ?>";
		}
	}
	
	/**
	 * @see TemplatePluginCompiler::executeEnd()
	 */
	public function executeEnd(TemplateCompiler $compiler) {
		throw new SystemException($compiler->formatSyntaxError("unknown tag {/fetch}", $compiler->getCurrentTemplate(), $compiler->getCurrentLineNo()), 12003);
	}
}
?>