<?php
// imports
if (!defined('NO_IMPORTS')) {
	require_once(WCF_DIR.'lib/system/template/TemplatePluginModifier.class.php');
	require_once(WCF_DIR.'lib/system/template/Template.class.php');
}

/**
 * The 'fulldate' modifier formats a unix timestamp.
 * Uses DateUtil::formatTime to format the given time timestamp.
 * 
 * Usage:
 * {$timestamp|fulldate}
 * {"132845333"|fulldate}
 *
 * @package	com.woltlab.wcf.system.template.plugin
 * @author 	Marcel Werk
 * @copyright	2001-2007 WoltLab GmbH
 * @license	GNU Lesser General Public License <http://opensource.org/licenses/lgpl-license.php>
 */
class TemplatePluginModifierFulldate implements TemplatePluginModifier {
	/**
	 * @see TemplatePluginModifier::execute()
	 */
	public function execute($tagArgs, Template $tplObj) {
		return DateUtil::formatTime(null, $tagArgs[0], false);
	}
}
?>