<?xml version="1.0" encoding="{@CHARSET}"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" dir="{lang}wcf.global.pageDirection{/lang}" xml:lang="{@LANGUAGE_CODE}">
	<head>
		<title>{lang}wcf.global.progressBar{/lang} - {lang}wcf.global.pageTitle{/lang}</title>
		<meta http-equiv="Content-Type" content="text/html; charset={@CHARSET}" />
		<style type="text/css">
			/*<![CDATA[*/
			body {
				font-family: "Trebuchet MS", Tahoma, Verdana, Arial, Helvetica, sans-serif; 
				color: #333;
				font-size: .82em;
				margin: 0;
				padding: 0;
				background-color: #eee;
				background-image: url({if 'RELATIVE_WCF_DIR'|defined}{@' '|str_replace:'%20':RELATIVE_WCF_DIR}acp/images/setupBackground.jpg{else}install.php?showImage=setupBackground.jpg&tmpFilePrefix={@$tmpFilePrefix}{/if});
				background-repeat: repeat-y;
			}
			
			.inner {
				padding: 10px 20px;
			}
			
			h1 {
				color: #164369;
				text-shadow: 2px 2px 2px #999; /* CSS 2 */
				font-size: 1.9em;
				font-weight: normal;
				margin: 5px 0;
				padding: 5px 0;
			}
			
			h2 {
				color: #154268;
				font-size: 1.4em;
				font-weight: bold;
				margin: 0;
				padding-top: 5px;
			}
			
			h3 {
				font-size: 1.3em;
				font-weight: bold;
				color: #666;
				margin: 0;
				padding: 2px 0 10px 0;
			}
			
			fieldset {
				font-size: .82em;
				border: 1px solid #8da4b7;
				margin-bottom: 10px;
				padding: 0;
			}
			
			legend {
				color: #164369;
				font-size: 1em;
				margin: 0 10px;
				padding: 0 4px;
			}
			
			fieldset p, fieldset div {
				margin: 0;
				padding: 0 0 5px 0;
			}
			
			hr {
				color: #8da4b7;
				background-color: #8da4b7;
				border: 0;
				margin: 10px 0;
				padding: 0;
				height: 1px;
				width: 100%;
				position: relative;
				clear: left;
			}
			
			fieldset ul {
				list-style: none;
				margin: 0;
				padding: 0;
			}
				
			fieldset ul li {
				padding-right: 3%;
				float: left;
				width: 30%;
			}
			
			form {
				padding: 0;
				margin: 0;
			}
			
			textarea, select, input[type="text"], input[type="password"] {
				background-color: #fafafa;
				border: 1px solid #8da4b7;
			}
			
			textarea, input[type="text"], input[type="password"] {
				width: 100%;
			}
		
			textarea:focus, select:focus, input[type="text"]:focus, input[type="password"]:focus {
				background-color: #fff9f4;
				border: 1px solid #fa2;
			}
			
			textarea, select, input[type="text"], input[type="password"] {
				padding: 2px;
			}
			
			label {
				padding-bottom: 2px;
				display: block;
			}
			
			.page {
				background-image: url({if 'RELATIVE_WCF_DIR'|defined}{@' '|str_replace:'%20':RELATIVE_WCF_DIR}acp/images/setupHeader.jpg{else}install.php?showImage=setupHeader.jpg&tmpFilePrefix={@$tmpFilePrefix}{/if});
				background-repeat: no-repeat;
				background-color: #fff;
				padding: 153px 40px 20px 40px;
				width: 720px;
			}
			
			.setupIcon {
				margin-right: 30px;
				float: left;
			}
			
			.nextButton {
				float: right;
			}
			
			.copyright {
				font-size: .8em;
			}
			
			.left {
				float: left;
			}
			
			.left, .right {
				font-weight: bold;
				display: block;
			}
			
			.right {
				margin-left: 48%;
				width: 48%;
			}
			
			.error {
				color: #c00;
				border: 1px solid #c00;
				background-color: #fee;
				padding: 4px 10px;
			}
			
			.disabled {
				color: #b2b2b2;
			}
			
			.errorField {
				color: #c00;
			}
			
			.progress {
				border: 1px solid #b2b2b2;
				margin: 0 0 25px 128px;
				padding: 1px;
				width: 300px;
				height: 16px;
			}
			
			.progressBar {
				background-color: #f1f1f1;
				border-bottom: 8px solid #ddd;
				height: 8px;
				font-size: 7px;
			}
			
			.progressText {
				color: #333;
				font-size: .75em;
				text-align: center;
				margin-top: -15px;
			}			
			/*]]>*/
		</style>
		<!--[if lt IE 7]>
			<style type="text/css">
				.page {
					width: 800px;
				}
				.progressText {
					margin-top: -16px;
				}
			</style>
		<![endif]-->
		<!--[if IE]>
			<style type="text/css">
				hr {
					margin: 0;
				}
				fieldset p, fieldset div {
					min-height: 0;
				}
			</style>
		<![endif]-->
	</head>
<body>
	<div class="page">
		<img class="setupIcon" src="{if 'RELATIVE_WCF_DIR'|defined}{@RELATIVE_WCF_DIR}acp/images/setupIconXL.jpg{else}install.php?showImage=setupIconXL.jpg&amp;tmpFilePrefix={@$tmpFilePrefix}{/if}" alt="" />
		<h1>{lang}wcf.global.title{/lang}</h1>
		<div class="progress">
			<div class="progressBar" style="width: {@300*$progress/100|round:0}px"></div>
			<div class="progressText">{lang}wcf.global.progressBar{/lang}</div>
		</div>
		<hr />
	
	